<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__crypto__lld__rng__functions" kind="group">
    <compoundname>group_crypto_lld_rng_functions</compoundname>
    <title>Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__rng__functions_1ga2ed2909fd8b7fe5cba913e3154759b89" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_crypto_status_t Cy_Crypto_Core_Prng_Init</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t lfsr32InitState, uint32_t lfsr31InitState, uint32_t lfsr29InitState)</argsstring>
        <name>Cy_Crypto_Core_Prng_Init</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>lfsr32InitState</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>lfsr31InitState</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>lfsr29InitState</declname>
        </param>
        <briefdescription>
<para>Initializes the PRND parameters. </para>        </briefdescription>
        <detaileddescription>
<para>Invoking this function causes a restart of the pseudo-random sequence.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>lfsr32InitState</parametername>
</parameternamelist>
<parameterdescription>
<para>A non-zero seed value for the first LFSR.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>lfsr31InitState</parametername>
</parameternamelist>
<parameterdescription>
<para>A non-zero seed value for the second LFSR.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>lfsr29InitState</parametername>
</parameternamelist>
<parameterdescription>
<para>A non-zero seed value for the third LFSR.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="97" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_prng.h" bodystart="80" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_prng.h" line="80" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__rng__functions_1ga612915c3ba5d4148960c2454e9418d55" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_crypto_status_t Cy_Crypto_Core_Prng</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t max, uint32_t *randomNum)</argsstring>
        <name>Cy_Crypto_Core_Prng</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>max</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>randomNum</declname>
        </param>
        <briefdescription>
<para>Generates a Pseudo Random Number. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>max</parametername>
</parameternamelist>
<parameterdescription>
<para>The maximum value of a random number.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>randomNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a variable to store the generated pseudo random number.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="134" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_prng.h" bodystart="118" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_prng.h" line="118" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__rng__functions_1gaf5aef4d1b36178ae8f099caf9320d5c4" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_crypto_status_t Cy_Crypto_Core_Trng</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t GAROPol, uint32_t FIROPol, uint32_t max, uint32_t *randomNum)</argsstring>
        <name>Cy_Crypto_Core_Trng</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>GAROPol</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>FIROPol</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>max</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>randomNum</declname>
        </param>
        <briefdescription>
<para>Generates a True Random Number. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>GAROPol</parametername>
</parameternamelist>
<parameterdescription>
<para>The polynomial for the programmable Galois ring oscillator.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>FIROPol</parametername>
</parameternamelist>
<parameterdescription>
<para>The polynomial for the programmable Fibonacci ring oscillator.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>max</parametername>
</parameternamelist>
<parameterdescription>
<para>The maximum length of a random number, in the range of [0, 32] bits.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>randomNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a generated true random number. Must be 4-byte aligned.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="95" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng.h" bodystart="79" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng.h" line="79" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>